跳转到主要内容
POST
Hotels.com Hotel Reviews

请求规范

  • 方法与路径: POST /apis/v1/hotels-com/reviews
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/hotels-com/reviews
  • Runtime 事实版本: 14f444d8ae2c8128badc03d95dec4beb8e418fb6f82645a4e8a0ff6476366cf0
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

当前未提供请求参考价格;请使用接口支持的报价功能确认费用。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。
  • 计费依据: response_units
  • 公开参考倍率: 1.0
  • 结算证据来源: response_body

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
geoCode
string
必填

Two-letter ISO 3166-1 country code of the proxy the page is fetched through, e.g. 'US', 'SG'. Use the target site's own country (e.g. 'ID' for lazada.co.id, 'TH' for th.hotels.com): it sets the localized prices, currency, language and availability.

Pattern: ^[A-Za-z]{2}$
property
string<uri>
必填

Full Hotels.com hotel page URL; it must contain expediaPropertyId=<id>, e.g. https://th.hotels.com/en/ho144899/mandarin-orchard-singapore/?expediaPropertyId=19078.

Pattern: [?&]expediaPropertyId=[0-9]+(?:&|$)
url
string<uri>
必填

Hotels.com home page of the local site the reviews are read from, e.g. https://th.hotels.com

Pattern: ^https://(?:[A-Za-z0-9-]+\.)?hotels\.com/?$
pageIndex
integer

Review page, starting at 1 (default 1).

必填范围: 1 <= x <= 9007199254740991
size
integer

Reviews per page (default 20).

必填范围: 1 <= x <= 9007199254740991

响应

Normalized successful response

data
object
必填